# Compiled class files
*.class

# Log files
*.log
*.trace
logs
*.md
*.tex
!README.md

# BlueJ files
*.ctxt

# Mobile Tools for Java (J2ME)
.mtj.tmp/

# Package Files #
*.jar
*.war
*.ear

# VS Code settings
.vscode/

# Eclipse files
*.pydevproject
.project
.classpath
.cproject
.settings/
bin/
tmp/

# IntelliJ IDEA files
*.iml
.idea/
out/

# Mac system files
.DS_Store

# Windows system files
Thumbs.db

# Maven
target/

# Gradle
.gradle/
build/

# Other
*.swp
*.pdf

# JAR built pom file
dependency-reduced-pom.xml

# Python env
venv/
.$Diagrama de arquitetura - SD.drawio.bkp
